<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
	<TargetFrameworks>net7.0;net8.0;net9.0</TargetFrameworks>
	<IsPackable>true</IsPackable>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <OutputType>Library</OutputType>
    <Description>This package provides a comprehensive set of API controllers and related utilities for the DigitalData.Core library. It includes generic CRUD controllers, localization extensions, middleware for security policies, and application model conventions.</Description>
    <PackageId>DigitalData.Core.API</PackageId>
    <Version>2.1.1</Version>
    <Authors>Digital Data GmbH</Authors>
    <Company>Digital Data GmbH</Company>
    <Product>DigitalData.Core.API</Product>
    <Copyright>Copyright 2024</Copyright>
    <RepositoryUrl>http://git.dd:3000/AppStd/WebCoreModules.git</RepositoryUrl>
    <PackageTags>digital data core api</PackageTags>
    <PackageIcon>core_icon.png</PackageIcon>
    <AssemblyVersion>2.1.1</AssemblyVersion>
    <FileVersion>2.1.1</FileVersion>
  </PropertyGroup>

  <ItemGroup>
    <None Include="..\..\nuget-package-icons\core_icon.png">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.Extensions.Logging" Version="7.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DigitalData.Core.Application\DigitalData.Core.Application.csproj" />
    <ProjectReference Include="..\DigitalData.Core.Exceptions\DigitalData.Core.Exceptions.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="Assets\icon.png">
      <PackagePath>\</PackagePath>
      <Pack>True</Pack>
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
